Issue 98174 - range names display "#NAME?" in formula bar
Summary: range names display "#NAME?" in formula bar
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: code (show other issues)
Version: DEV300m38
Hardware: PC All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sc
URL:
Keywords: oooqa, regression
Depends on:
Blocks:
 
Reported: 2009-01-17 19:25 UTC by Joe Smith
Modified: 2013-08-07 15:14 UTC (History)
8 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Joe Smith 2009-01-17 19:25:29 UTC
Found in DEV300_m39:

File > Open (any .ods with named ranges)
Select a cell with a formula that uses a named range
Press F2 to edit
The formula is displayed in the formula bar and on the canvas with all range
names shown as "#NAME?".

The names are defined correctly (the Name Bar works), and the formula works
correctly, and name completion on typing works, it's just the formula display
that's wrong.

Running m39 under Fedora Linux 9; en_US.
Comment 1 Regina Henschel 2009-01-17 21:34:10 UTC
The error is also with a new document.
If you enter the formula newly, you can use the named range and get the correct
result.
If you leave the cell and then click on the cell again, the input line shows #NAME?
If you save and reload the document the cells, now containing #NAME?, will
result in Err:520.

It has been OK in m37.
Comment 2 Oliver Brinzing 2009-01-18 11:30:11 UTC
can confirm - imho this is a P1 issue, cause calc is not usable ...

i also noticed if one loads an oo calc doc (for example created
with oo 3.0.1 rc2) oo3.1m39 will display formulas in english, like

=ROUND(100*#NAME?;2)  instead of =RUNDEN(100*XXX;2)

#NAME? was a named range ...
Comment 3 williereid 2009-01-18 13:21:44 UTC
Also confirm in DEV300m39 but FWIW it is not happening in OOO300m15.
Comment 4 Joost Andrae 2009-01-19 09:19:29 UTC
I can confirm this. Every range name displays as #NAME? if used within a cell.
This is at least a P2

ja->er: please take a look at it
Comment 5 kla 2009-01-19 09:34:20 UTC
OJ is the rep. Dev.
Comment 6 ocke.janssen 2009-01-21 12:16:54 UTC
Fixed in cws dba31h. Merge conflict was not correctly resolved.
Comment 7 ocke.janssen 2009-01-26 07:03:43 UTC
Fixed in cws dba31h. Please verify. Thanks.
Comment 8 oc 2009-01-28 15:17:31 UTC
verified in internal build cws_dba31h
Comment 9 oksana_hitekschool 2009-04-01 20:44:13 UTC
OOo310m7 issue 98174 fixed ,but i am not sure if it is OK or NOT in the 
formula bar always show "=".
Comment 10 oksana_hitekschool 2009-04-02 18:06:59 UTC
Issue 98174 not fixed.Please verify in formula bar appears "="
Comment 11 ooo 2009-04-03 15:00:03 UTC
@oksana_hitekschool: With "formula bar", are you referring to the input line? I
tried OOO310m7 Linux, there's nothing wrong, the correct formula expression is
displayed.
Comment 12 oksana_hitekschool 2009-04-03 19:30:59 UTC
Issue 98174 Closed.
Comment 13 amy2008 2009-04-07 06:56:23 UTC
Verified in OOo310m8 on WinXP and Fedora. 
E.g. Cells D5 and D6 are defined as ranges, 1 in D5 and 2 in D6, then just 
input =Sum(ranges) in any cell, such as c1, get the summary 3 of the range 
which named as ranges.
Closing.
Li Meiying